com.fasterxml.jackson.dataformat.avro

## Class AvroSerializerModifier

- java.lang.Object
- - com.fasterxml.jackson.databind.ser.BeanSerializerModifier
  - - com.fasterxml.jackson.dataformat.avro.AvroSerializerModifier

-     public class AvroSerializerModifier
      extends com.fasterxml.jackson.databind.ser.BeanSerializerModifier

  Serializer modifier used to suppress serialization of "schema" property for Avro-generated types.
  Since:
    2.7.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroSerializerModifier()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<com.fasterxml.jackson.databind.ser.BeanPropertyWriter>` | `changeProperties(com.fasterxml.jackson.databind.SerializationConfig config, com.fasterxml.jackson.databind.BeanDescription beanDesc, List<com.fasterxml.jackson.databind.ser.BeanPropertyWriter> beanProperties)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.BeanSerializerModifier

      `modifyArraySerializer, modifyCollectionLikeSerializer, modifyCollectionSerializer, modifyEnumSerializer, modifyKeySerializer, modifyMapLikeSerializer, modifyMapSerializer, modifySerializer, orderProperties, updateBuilder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AvroSerializerModifier

          public AvroSerializerModifier()

  - ### Method Detail

    - #### changeProperties

          public List<com.fasterxml.jackson.databind.ser.BeanPropertyWriter> changeProperties(com.fasterxml.jackson.databind.SerializationConfig config,
                                                                                     com.fasterxml.jackson.databind.BeanDescription beanDesc,
                                                                                     List<com.fasterxml.jackson.databind.ser.BeanPropertyWriter> beanProperties)

      Overrides:
        `changeProperties` in class `com.fasterxml.jackson.databind.ser.BeanSerializerModifier`

Copyright © 2017 FasterXML. All rights reserved.